# 📽 Projector: The CLI for bootstrapping projects <!-- omit in toc -->
<!-- markdown-link-check-disable -->
[![npm version](https://badge.fury.io/js/pjr.svg)](https://badge.fury.io/js/pjr)
<!-- markdown-link-check-enable-->
## Table of Contents <!-- omit in toc -->

- [About](#about)
- [Commands](#commands)
- [Getting Started](#getting-started)
- [Contribution Guidelines](#contribution-guidelines)
- [Developer Guidelines](#developer-guidelines)
- [Maintainers](#maintainers)
- [License](#license)

## About

In our work at Microsoft on the Commercial Software Engineering team, we start a lot of new projects with customer teams.
`projector` is a tool that was created as an effort to reduce duplicated work in bootstrapping those projects.
It aims to reduce friction, time and effort for developer teams in the following use cases:

- **Discovering** and **consuming** content from the [Code-With Engineering Playbook](https://github.com/Microsoft/code-with-engineering-playbook)
- Creating **templatized work items** within Agile providers (e.g. Azure DevOps, Jira, GitHub).
  This can be used to create shared "checklists" of stories/features/tasks that should exist within every engagement and add them right to the developer team's backlog
- **Creating a sprint schedule** for the project within the Agile provider.
  Rather than clicking around Azure DevOps every week to create a new sprint, this is a one command execution that will generate as many sprints as required of the desired length and start date.
- Opening **commonly used links** within CSE.
Could be helpful when onboarding new engineers to CSE
- ...and more to come! We hope to receive feedback and ideas from engineers throughout CSE on what tasks they do most frequently and how we can automate them through the command line

_Why a Command Line Tool?_

We're a developer organization.
Why not use developer tooling?

## Commands

See the [commands doc](./docs/commands.md) for usage and description of each command.

## Getting Started

Projector runs on Node 14+.
To install the `pjr` CLI tool, run:

```sh
npm i pjr -g
```

To see how to accomplish the tasks above using `pjr` commands, follow the [how-to documentation](./docs/how_to.md).

## Contribution Guidelines

See our [contribution guidelines doc](./docs/CONTRIBUTING.md) for more info on how you can contribute to `projector`.

## Developer Guidelines

See our [local development documentation](./docs/DEVELOPER.md) for things like installing, linting, building, testing and more.

## Maintainers

For any questions about the project, please reach out to any one of the project maintainers:

- [Alex Lancaster](mailto:allancas@microsoft.com)
- [Elizabeth Halper](mailto:elhalper@microsoft.com)
- [Stewart Adam](mailto:stad@microsoft.com)
- [Tanner Barlow](mailto:tabarlow@microsoft.com)
- [Zach Miller](mailto:zamiller@microsoft.com)

## License

[MIT](./LICENSE)
