"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.agileProjectDelete = void 0;
const extensions_1 = require("../../../../../../../extensions");
const utils_1 = require("../../../../../../../utils");
exports.agileProjectDelete = new extensions_1.Command()
    .name("delete")
    .description("Delete Project with Agile Provider")
    .option("-n, --projectName <projectName>", "Name of the project")
    .addAction((serviceCollection, options) => __awaiter(void 0, void 0, void 0, function* () {
    const { agileService } = serviceCollection;
    const { projectName } = options;
    if (!agileService) {
        throw new Error("Section 'agile' must be configured for this command");
    }
    const project = yield agileService.getProject(projectName);
    if (!project) {
        throw new Error(`Cannot find project ${projectName}`);
    }
    if (yield utils_1.UserUtils.confirmAction()) {
        utils_1.Logger.log("\nDeleting project...");
        yield agileService.deleteProject(project);
        utils_1.Logger.log(`Agile project ${projectName} has been deleted`);
    }
    else {
        utils_1.Logger.log("Operation cancelled");
    }
}));
