"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.agileWorkTemplateList = void 0;
const extensions_1 = require("../../../../../../../../../extensions");
const utils_1 = require("../../../../../../../../../utils");
exports.agileWorkTemplateList = new extensions_1.Command()
    .name("list")
    .description("List available work item templates")
    .addAction((serviceCollection) => __awaiter(void 0, void 0, void 0, function* () {
    const { playbookService } = serviceCollection;
    const templates = yield playbookService.getBacklogItemTemplates();
    utils_1.Logger.logHeader("Work Item Templates");
    templates.forEach((template) => utils_1.Logger.log(template.name));
}));
