"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.configInit = void 0;
const constants_1 = require("../../../../../constants");
const extensions_1 = require("../../../../../extensions");
const services_1 = require("../../../../../services");
exports.configInit = new extensions_1.Command()
    .name("init")
    .description("Initialize local projector configuration in `projector.json` file")
    .option("-a, --agile-provider <agile-provider>", "Agile provider (currently only supports 'azdo')", "azdo")
    .option("-r, --repo-provider <repo-provider>", "Repo provider (currently only supports 'azdo'", "azdo")
    .addAction((serviceCollection, options) => {
    const config = services_1.ConfigService.createInitialConfig(options);
    const { projectorConfigService } = serviceCollection;
    projectorConfigService.set(constants_1.FileConstants.configFileName, config);
});
