import { Command as CommanderCommand } from "commander";
import { ActionHandler, OptionInteractive } from "../models";
import { Link } from "../models/general/link";
/**
 * Command extension class
 */
export declare class Command<TOptions = any> extends CommanderCommand {
    private actions;
    private commandOptions;
    constructor();
    initialize(initializeAction: () => void): Command<TOptions>;
    optionInteractive(optionConfig: OptionInteractive): Command<TOptions>;
    /**
     * Gets a variable name from a long option name
     *
     * @param {string} longName Long variable name `--my-variable-name`
     * @returns {string} camelCasedVariableName (e.g. myVariableName)
     */
    private getVariableName;
    addAction(actionHandler: ActionHandler<TOptions>): Command<TOptions>;
    printHelp(): Command<TOptions>;
    asciiArt(message: string): Command<TOptions>;
    addLinkCommands(links: Link[]): Command<TOptions>;
    addPhoneTree(): Command<TOptions>;
    toMarkdownDoc(parentCommandPath?: string): string;
    toTableOfContents(linkPrefix?: string, parentIndentation?: string, parentCommandPath?: string): string;
}
