"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AgileServiceFactory = void 0;
class AgileServiceFactory {
    // eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types,@typescript-eslint/no-explicit-any
    static register(providerName, service) {
        this.registry[providerName] = service;
    }
    static get(config) {
        if (!config) {
            return undefined;
        }
        const { providerName } = config;
        const service = this.registry[providerName];
        if (!service) {
            throw new Error(`Agile service ${providerName} not defined. Options are ${Object.keys(this.registry).join(",")}`);
        }
        return new service(config);
    }
}
exports.AgileServiceFactory = AgileServiceFactory;
// eslint-disable-next-line @typescript-eslint/no-explicit-any
AgileServiceFactory.registry = {};
