"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.registerProviders = void 0;
const factories_1 = require("../factories");
const services_1 = require("../services");
const providers_1 = require("../services/agile/providers");
const gitHubAgileService_1 = require("../services/agile/providers/gitHub/gitHubAgileService");
/**
 * Register all service providers
 */
function registerProviders() {
    registerAgileServiceProviders();
    registerRepoServiceProviders();
}
exports.registerProviders = registerProviders;
/**
 * Register all Agile Service Providers
 */
function registerAgileServiceProviders() {
    factories_1.AgileServiceFactory.register(services_1.AgileServiceProvider.AzureDevOps, providers_1.AzureDevOpsAgileService);
    factories_1.AgileServiceFactory.register(services_1.AgileServiceProvider.Jira, providers_1.JiraAgileService);
    factories_1.AgileServiceFactory.register(services_1.AgileServiceProvider.GitHub, gitHubAgileService_1.GitHubAgileService);
}
/**
 * Register all Repo Service Providers
 */
function registerRepoServiceProviders() {
    factories_1.RepoServiceFactory.register(services_1.RepoServiceProvider.GitHub, services_1.GitHubRepoService);
    factories_1.RepoServiceFactory.register(services_1.RepoServiceProvider.AzureDevOps, services_1.AzureDevOpsRepoService);
}
