import { AgileConfig, AgileService, BacklogItem, Project, Sprint } from "../../models";
export declare abstract class BaseAgileService implements AgileService {
    protected config: AgileConfig;
    constructor(config: AgileConfig);
    createSprints(sprints?: Sprint[]): Promise<Sprint[]>;
    abstract getBacklogItems: (ids: string[]) => Promise<BacklogItem[]>;
    abstract createBacklogItems: (items: BacklogItem[]) => Promise<BacklogItem[]>;
    abstract deleteBacklogItems: (ids: string[]) => Promise<void>;
    abstract createProject: (project: Project) => Promise<Project>;
    abstract getProject: (name: string) => Promise<Project | null>;
    abstract deleteProject: (project: Project) => Promise<boolean>;
    abstract getSprint: (id: string) => Promise<Sprint>;
    abstract createProviderSprints: (sprints: Sprint[]) => Promise<Sprint[]>;
    abstract deleteSprint: (id: string) => Promise<void>;
    private generateSprints;
    private createSprintConfig;
    private confirmAndCreateSprints;
}
