import { AgileConfig, BacklogItem, Project, Sprint } from "../../../../models";
import { BaseAgileService } from "../../baseAgileService";
export interface JiraAgileConfig extends AgileConfig {
    providerOptions: {
        baseUrl: string;
    };
}
export declare class JiraAgileService extends BaseAgileService {
    createProject: () => Promise<Project>;
    getProject: () => Promise<Project | null>;
    deleteProject: () => Promise<boolean>;
    getBacklogItems: () => Promise<BacklogItem[]>;
    createBacklogItems: () => Promise<BacklogItem[]>;
    deleteBacklogItems: () => Promise<void>;
    createProviderSprints: () => Promise<Sprint[]>;
    getSprint: () => Promise<Sprint>;
    deleteSprint: () => Promise<void>;
}
