import { ObjectService } from "..";
import { Repo, RepoConfig, RepoItem, RepoService } from "../../models";
export declare abstract class BaseRepoService implements RepoService {
    protected config: RepoConfig;
    protected contentService: ObjectService<string>;
    constructor(config: RepoConfig, contentService: ObjectService<string>);
    downloadRepoItem(repo: string, path?: string, branch?: string, outputPath?: string): Promise<void>;
    listRepoItems(repo: string, path?: string, includeContent?: boolean, branch?: string): Promise<RepoItem[]>;
    abstract listRepos: () => Promise<Repo[] | undefined>;
    abstract getRepo: (repo: string) => Promise<Repo | undefined>;
    abstract createRepo: (repoName: string) => Promise<Repo>;
    abstract deleteRepo: (repo: string) => Promise<void>;
    abstract getRepoItem: (repo: string, path?: string, includeContent?: boolean, branch?: string) => Promise<RepoItem>;
    abstract latestCommit: (repo: string, branch?: string) => Promise<string>;
    private writeRepoItem;
}
