import { ObjectService } from "../..";
import { AzureDevOpsProviderOptions, Repo, RepoConfig, RepoItem } from "../../../models";
import { BaseRepoService } from "../baseRepoService";
export interface AzureDevOpsRepoConfig extends RepoConfig {
    providerOptions: AzureDevOpsProviderOptions;
}
export declare class AzureDevOpsRepoService extends BaseRepoService {
    private projectName;
    private coreApi;
    private gitApi;
    constructor(config: AzureDevOpsRepoConfig, contentService: ObjectService<string>);
    listRepos: () => Promise<Repo[] | undefined>;
    getRepo: (repoName: string) => Promise<Repo | undefined>;
    createRepo: (repoName: string) => Promise<Repo>;
    deleteRepo: (repoId: string) => Promise<void>;
    getRepoItem: () => Promise<RepoItem>;
    latestCommit: () => Promise<string>;
    private mapRepo;
}
