import { ObjectService } from "../..";
import { Repo, RepoConfig, RepoItem } from "../../../models";
import { BaseRepoService } from "../baseRepoService";
export interface GitHubRepoServiceProviderOptions {
    owner: string;
    personalAccessToken?: string;
}
export interface GitHubRepoConfig extends RepoConfig {
    providerOptions: GitHubRepoServiceProviderOptions;
}
export declare class GitHubRepoService extends BaseRepoService {
    private github;
    private owner;
    constructor(config: GitHubRepoConfig, contentService: ObjectService<string>);
    listRepos: () => Promise<Repo[] | undefined>;
    getRepo: () => Promise<Repo | undefined>;
    createRepo: () => Promise<Repo>;
    deleteRepo: () => Promise<void>;
    getRepoItem: (repo: string, path?: string, includeContent?: boolean | undefined, branch?: string | undefined) => Promise<RepoItem>;
    latestCommit: (repo: string, branch?: string) => Promise<string>;
}
