import { GitHubIssue, GitHubLabel, GitHubMilestone, GitHubProviderOptions } from "../../models";
export interface GitHubRestOptions {
    owner: string;
    repo: string;
    baseUrl?: string;
}
export declare class GitHubRestService {
    private options;
    private octokit;
    constructor(options: GitHubProviderOptions);
    getOrCreateGitHubLabel(name: string, description?: string, color?: string): Promise<GitHubLabel>;
    getOrCreateGitHubProject(projectName: string, description?: string): Promise<number>;
    getOrCreateProjectColumn(projectId: number, name: string): Promise<number>;
    addIssueToProjectColumn(columnId: number, dbId: number): Promise<void>;
    getGitHubIssue(id: number): Promise<GitHubIssue>;
    createGitHubIssue(title: string, body: string, label?: GitHubLabel): Promise<GitHubIssue>;
    closeGitHubIssue(id: number): Promise<void>;
    getMilestone(id: number): Promise<GitHubMilestone>;
    createOrUpdateMilestone(name: string, dueDate?: Date): Promise<GitHubMilestone>;
    deleteMilestone(milestoneNumber: number): Promise<void>;
}
