/**
 * Downloads a list of templates.
 *
 * @callback saveTemplate
 *
 * @typedef T The type of template to download.
 * @param {() => Promise<T[]>} getTemplates A DI'd function which gets templates.
 * @param {saveTemplate} saveTemplate A DI'd function which saves templates.
 * @param {string?} templateNameOption The optional file name to save the template to.
 * @param {string?} outputPathOption The optional path to save the template to.
 *
 * @returns {Promise<void>} A Promise to download the template.
 */
export declare function downloadTemplates<T extends {
    name: string;
}>(getTemplates: () => Promise<T[]>, saveTemplate: (ouputFileName: string, template: T) => Promise<void>, templateNameOption?: string, outputPathOption?: string): Promise<void>;
